/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20200528 (32-bit version)
 * Copyright (c) 2000 - 2020 Intel Corporation
 * 
 * Disassembling to symbolic ASL+ operators
 *
 * Disassembly of C:/Users/Nico/Documents/MAC/SSDTTime-master/Scripts/ACPI/SSDT-OCBAT.aml, Wed Mar 31 20:50:13 2021
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000719 (1817)
 *     Revision         0x02
 *     Checksum         0x33
 *     OEM ID           "ACDT"
 *     OEM Table ID     "BAT0"
 *     OEM Revision     0x00000000 (0)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20200528 (538969384)
 */
DefinitionBlock ("", "SSDT", 2, "ACDT", "BAT0", 0x00000000)
{
    External (_SB_.BAT0, DeviceObj)
    External (_SB_.BAT0.FABL, IntObj)
    External (_SB_.BAT0.PBIF, PkgObj)
    External (_SB_.BAT0.PBST, PkgObj)
    External (_SB_.BAT0.UPUM, MethodObj)    // 0 Arguments
    External (_SB_.PCI0.LPCB.EC0_, DeviceObj)
    External (_SB_.PCI0.LPCB.EC0_.BACR, FieldUnitObj)
    External (_SB_.PCI0.LPCB.EC0_.BVHB, FieldUnitObj)
    External (_SB_.PCI0.LPCB.EC0_.BVLB, FieldUnitObj)
    External (_SB_.PCI0.LPCB.EC0_.ECOK, IntObj)
    External (_SB_.PCI0.LPCB.EC0_.MBST, FieldUnitObj)
    External (_SB_.PCI0.LPCB.EC0_.MBTS, FieldUnitObj)
    External (_SB_.PCI0.LPCB.EC0_.SW2S, FieldUnitObj)
    External (BRTM, FieldUnitObj)
    External (FABL, IntObj)
    External (SMA4, FieldUnitObj)

    Method (B1B2, 2, NotSerialized)
    {
        Local0 = (Arg1 << 0x08)
        Local0 |= Arg0
        Return (Local0)
    }

    Scope (_SB.PCI0.LPCB.EC0)
    {
        Method (RE1B, 1, NotSerialized)
        {
            OperationRegion (ERAM, EmbeddedControl, Arg0, One)
            Field (ERAM, ByteAcc, NoLock, Preserve)
            {
                BYTE,   8
            }

            Return (BYTE) /* \_SB_.PCI0.LPCB.EC0_.RE1B.BYTE */
        }

        Method (RECB, 2, Serialized)
        {
            Arg1 >>= 0x03
            Name (TEMP, Buffer (Arg1){})
            Arg1 += Arg0
            Local0 = Zero
            While ((Arg0 < Arg1))
            {
                TEMP [Local0] = RE1B (Arg0)
                Arg0++
                Local0++
            }

            Return (TEMP) /* \_SB_.PCI0.LPCB.EC0_.RECB.TEMP */
        }

        OperationRegion (BAM0, EmbeddedControl, Zero, 0xFF)
        Field (BAM0, ByteAcc, Lock, Preserve)
        {
            Offset (0x70), 
            BADA,   8, 
            BADB,   8, 
            BFCA,   8, 
            BFCB,   8, 
            Offset (0x83), 
            MCUA,   8, 
            MCUB,   8, 
            MBRA,   8, 
            MBRB,   8, 
            MBCA,   8, 
            MBCB,   8
        }
    }

    Scope (_SB.BAT0)
    {
        Method (_BIF, 0, Serialized)  // _BIF: Battery Information
        {
            If ((\_SB.PCI0.LPCB.EC0.ECOK == One))
            {
                If (\_SB.PCI0.LPCB.EC0.MBTS)
                {
                    Local5 = B1B2 (\_SB.PCI0.LPCB.EC0.BFCA, \_SB.PCI0.LPCB.EC0.BFCB)
                    If ((Local5 && !(Local5 & 0x8000)))
                    {
                        Local5 >>= 0x05
                        Local5 <<= 0x05
                        PBIF [One] = Local5
                        PBIF [0x02] = Local5
                        Local2 = (Local5 / 0x64)
                        Local2 += One
                        If ((B1B2 (\_SB.PCI0.LPCB.EC0.BADA, \_SB.PCI0.LPCB.EC0.BADB) < 0x0C80))
                        {
                            Local4 = (Local2 * 0x0E)
                            PBIF [0x05] = (Local4 + 0x02)
                            Local4 = (Local2 * 0x09)
                            PBIF [0x06] = (Local4 + 0x02)
                            Local4 = (Local2 * 0x0B)
                        }
                        ElseIf ((SMA4 == One))
                        {
                            Local4 = (Local2 * 0x0C)
                            PBIF [0x05] = (Local4 + 0x02)
                            Local4 = (Local2 * 0x07)
                            PBIF [0x06] = (Local4 + 0x02)
                            Local4 = (Local2 * 0x0A)
                        }
                        Else
                        {
                            Local4 = (Local2 * 0x0C)
                            PBIF [0x05] = (Local4 + 0x02)
                            Local4 = (Local2 * 0x07)
                            PBIF [0x06] = (Local4 + 0x02)
                            Local4 = (Local2 * 0x0A)
                        }

                        FABL = (Local4 + 0x02)
                    }

                    Local0 = \_SB.PCI0.LPCB.EC0.BVLB /* External reference */
                    Local1 = \_SB.PCI0.LPCB.EC0.BVHB /* External reference */
                    Local1 <<= 0x08
                    Local0 |= Local1
                    PBIF [0x04] = Local0
                    Sleep (0x32)
                    PBIF [0x0B] = "LION"
                    PBIF [0x09] = "Primary"
                    UPUM ()
                    PBIF [Zero] = One
                }
                Else
                {
                    PBIF [One] = 0xFFFFFFFF
                    PBIF [0x02] = 0xFFFFFFFF
                    PBIF [0x04] = 0xFFFFFFFF
                    PBIF [0x09] = "Bad"
                    PBIF [0x0A] = "Bad"
                    PBIF [0x0B] = "Bad"
                    PBIF [0x0C] = "Bad"
                }
            }
            Else
            {
                PBIF [One] = 0xFFFFFFFF
                PBIF [0x02] = 0xFFFFFFFF
                PBIF [0x04] = 0xFFFFFFFF
                PBIF [0x09] = "Bad"
                PBIF [0x0A] = "Bad"
                PBIF [0x0B] = "Bad"
                PBIF [0x0C] = "Bad"
            }

            Return (\_SB.BAT0.PBIF) /* External reference */
        }

        Method (_BST, 0, Serialized)  // _BST: Battery Status
        {
            If ((\_SB.PCI0.LPCB.EC0.ECOK == One))
            {
                If (\_SB.PCI0.LPCB.EC0.MBTS)
                {
                    If ((BRTM == One))
                    {
                        Local0 = B1B2 (\_SB.PCI0.LPCB.EC0.MCUA, \_SB.PCI0.LPCB.EC0.MCUB)
                        If ((Local0 & 0x8000))
                        {
                            If ((Local0 == 0xFFFF))
                            {
                                PBST [One] = 0xFFFFFFFF
                            }
                            Else
                            {
                                Local1 = ~Local0
                                Local1++
                                Local3 = (Local1 & 0xFFFF)
                                PBST [One] = Local3
                            }
                        }
                        Else
                        {
                            PBST [One] = Local0
                        }
                    }
                    Else
                    {
                        PBST [One] = 0xFFFFFFFF
                    }

                    Local5 = B1B2 (\_SB.PCI0.LPCB.EC0.MBRA, \_SB.PCI0.LPCB.EC0.MBRB)
                    If (!(Local5 & 0x8000))
                    {
                        If ((Local5 != DerefOf (PBST [0x02])))
                        {
                            PBST [0x02] = Local5
                        }
                    }

                    If ((!\_SB.PCI0.LPCB.EC0.SW2S && (\_SB.PCI0.LPCB.EC0.BACR == One)))
                    {
                        PBST [0x02] = FABL /* External reference */
                    }

                    PBST [0x03] = B1B2 (\_SB.PCI0.LPCB.EC0.MBCA, \_SB.PCI0.LPCB.EC0.MBCB)
                    PBST [Zero] = \_SB.PCI0.LPCB.EC0.MBST /* External reference */
                }
                Else
                {
                    PBST [Zero] = Zero
                    PBST [One] = 0xFFFFFFFF
                    PBST [0x02] = 0xFFFFFFFF
                    PBST [0x03] = 0x2710
                }
            }
            Else
            {
                PBST [Zero] = Zero
                PBST [One] = 0xFFFFFFFF
                PBST [0x02] = 0xFFFFFFFF
                PBST [0x03] = 0x2710
            }

            Return (\_SB.BAT0.PBST) /* External reference */
        }
    }
}

